Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.registry
Class TransientRegistry

    java.lang.Object
      org.mule.registry.AbstractRegistry
          org.mule.registry.TransientRegistry

All Implemented Interfaces:
  Disposable, Initialisable, Registry

    public class TransientRegistry

extends AbstractRegistry

Use synchronized(registry) when reading/writing/iterating over the contents of the registry hashmap.

Field Summary
`protected Log` | `logger` logger used by this class
`static String` | `REGISTRY_ID`

Fields inherited from class org.mule.registry.AbstractRegistry
`lifecycleManager, muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`TransientRegistry(MuleContext muleContext)`
`TransientRegistry(String id, MuleContext muleContext)`

Method Summary
`protected Map` | `applyProcessors(Map<String,Object> objects)`
`protected void` | `checkDisposed()`
`protected void` | `doDispose()`
`protected void` | `doInitialise()`
`protected boolean` | `hasFlag(Object metaData, int flag)`
`boolean` | `isReadOnly()`
`boolean` | `isRemote()`
`
`<T> Map<String,T>`
` | `lookupByType(Class<T> type)`
`
`<T> T`
` | `lookupObject(String key)` Look up a single object by name.
`
`<T> Collection<T>`
` | `lookupObjects(Class<T> returntype)` Look up all objects of a given type.
`void` | `registerObject(String key, Object value)` Allows for arbitary registration of transient objects
`void` | `registerObject(String key, Object object, Object metadata)` Allows for arbitrary registration of transient objects
`void` | `registerObjects(Map objects)` Registers a Map of objects into the registry
`void` | `unregisterObject(String key)` Will remove an object by name from the registry.
`void` | `unregisterObject(String key, Object metadata)` Will remove an object by name from the registry.

Methods inherited from class org.mule.registry.AbstractRegistry
`createLifecycleManager, dispose, fireLifecycle, get, getLifecycleManager, getRegistryId, initialise, lookupObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient Log logger

  logger used by this class

### REGISTRY_ID

    public static final String REGISTRY_ID

See Also:
  Constant Field Values

Constructor Detail

### TransientRegistry

    public TransientRegistry(MuleContext muleContext)

### TransientRegistry

    public TransientRegistry(String id,
                             MuleContext muleContext)

Method Detail

### doInitialise

    protected void doInitialise()
                         throws InitialisationException

  Specified by:
    `doInitialise` in class `AbstractRegistry`
  Throws:
    `InitialisationException`

### doDispose

    protected void doDispose()

  Specified by:
    `doDispose` in class `AbstractRegistry`

### applyProcessors

    protected Map applyProcessors(Map<String,Object> objects)

### registerObjects

    public void registerObjects(Map objects)
                         throws RegistrationException

  Description copied from interface: `Registry`
  Registers a Map of objects into the registry

  Parameters:
    `objects` - a map of key value pairs, each will individually be registered in the registry
  Throws:
    `RegistrationException` - if an object with the same key already exists

### lookupByType

    public <T> Map<String,T> lookupByType(Class<T> type)

  Returns:
    key/object pairs

### lookupObject

    public <T> T lookupObject(String key)

  Description copied from interface: `Registry`
  Look up a single object by name.

  Returns:
    object or null if not found

### lookupObjects

    public <T> Collection<T> lookupObjects(Class<T> returntype)

  Description copied from interface: `Registry`
  Look up all objects of a given type.

  Returns:
    collection of objects or empty collection if none found

### registerObject

    public void registerObject(String key,
                               Object value)
                        throws RegistrationException

  Allows for arbitary registration of transient objects

  Parameters:
    `key` -
    `value` -
  Throws:
    `RegistrationException` - if an object with the same key already exists

### registerObject

    public void registerObject(String key,
                               Object object,
                               Object metadata)
                        throws RegistrationException

  Allows for arbitrary registration of transient objects

  Parameters:
    `key` -
    `object` - the object to store in the registry. This is a non-null value
    `metadata` - an implementation specific argument that can be passed into the method
  Throws:
    `RegistrationException` - if an object with the same key already exists

### checkDisposed

    protected void checkDisposed()
                          throws RegistrationException

  Throws:
    `RegistrationException`

### hasFlag

    protected boolean hasFlag(Object metaData,
                              int flag)

### unregisterObject

    public void unregisterObject(String key,
                                 Object metadata)
                          throws RegistrationException

  Will remove an object by name from the registry. By default the registry will apply all remaining lifecycle phases to the object when it is removed.

  Parameters:
    `key` - the name or key of the object to remove from the registry
    `metadata` - Meta data flags supported are `org.mule.api.registry.MuleRegistry.LIFECYCLE_BYPASS_FLAG`
  Throws:
    `RegistrationException` - if there is a problem unregistering the object. Typically this will be because the object's lifecycle threw an exception

### unregisterObject

    public void unregisterObject(String key)
                          throws RegistrationException

  Description copied from interface: `Registry`
  Will remove an object by name from the registry. By default the registry must apply all remaining lifecycle phases to the object when it is removed.

  Parameters:
    `key` - the name or key of the object to remove from the registry
  Throws:
    `RegistrationException` - if there is a problem unregistering the object. Typically this will be because the object's lifecycle threw an exception

### isReadOnly

    public boolean isReadOnly()

### isRemote

    public boolean isRemote()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.